> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Event

> Get a single webhook event by ID

<Note>
  **OAuth scope:** `webhook_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml GET /open-api/v1.0/webhook-events/{webhookEventId}
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/webhook-events/{webhookEventId}:
    get:
      tags:
        - Webhooks
      summary: Get a webhook event
      description: Get a single webhook event by ID
      operationId: get-webhook-event
      parameters:
        - name: webhookEventId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.WebhookEventV1
        '404':
          description: 'Possible errors: `WEBHOOK_EVENT_NOT_FOUND`'
          content:
            application/json:
              examples:
                webhook-event-not-found:
                  value:
                    code: WEBHOOK_EVENT_NOT_FOUND
                    webhookEventId: <webhookeventid>
                    shopId: <shopid>
      security:
        - oauth:
            - webhook_read
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/webhooks/get-webhook-event
components:
  schemas:
    com.fourthwall.openapi.model.WebhookEventV1:
      type: object
      description: Webhook event
      properties:
        id:
          type: string
          description: Event ID
        type:
          type: string
          description: Event type
          enum:
            - ORDER_PLACED
            - ORDER_UPDATED
            - GIFT_PURCHASE
            - PRODUCT_CREATED
            - PRODUCT_UPDATED
            - DONATION
            - SUBSCRIPTION_PURCHASED
            - SUBSCRIPTION_EXPIRED
            - SUBSCRIPTION_CHANGED
            - NEWSLETTER_SUBSCRIBED
            - THANK_YOU_SENT
            - GIFT_DRAW_STARTED
            - GIFT_DRAW_ENDED
            - PROMOTION_CREATED
            - PROMOTION_UPDATED
            - PROMOTION_STATUS_CHANGED
            - PLATFORM_APP_DISCONNECTED
            - MEMBERSHIP_POST_UPSERTED
            - MEMBERSHIP_SERIES_UPSERTED
            - MEMBERSHIP_SERIES_DELETED
            - MEMBERSHIP_TAG_CREATED
            - MEMBERSHIP_TAG_UPDATED
            - MEMBERSHIP_TAG_DELETED
            - MEMBERSHIP_TIER_UPSERTED
            - MEMBERSHIP_TIER_DELETED
            - COLLECTION_UPDATED
            - CART_ABANDONED_1H
            - CART_ABANDONED_24H
            - CART_ABANDONED_72H
        apiVersion:
          type: string
          description: API version
          enum:
            - V1
        createdAt:
          type: string
          format: date-time
          description: When the event was created
        updatedAt:
          type: string
          format: date-time
          description: When the event was last updated
        body:
          type: string
          description: Event body as JSON string
        testMode:
          type: boolean
          description: Whether this is a test mode event
        state:
          type: string
          description: Event state
        error:
          type: string
          description: Error message if delivery failed
        url:
          type: string
          description: URL
      required:
        - apiVersion
        - body
        - createdAt
        - id
        - state
        - testMode
        - type
        - updatedAt
        - url
      title: Webhook Event
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````